package com.malk.shangfeng.schedule;

import com.malk.shangfeng.service.SFService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * @EnableScheduling 开启定时任务 [配置参考McScheduleTask]
 */
@Slf4j
@Configuration
@EnableScheduling
@ConditionalOnProperty(name = {"spel.scheduling"})
public class U8ScheduleTask {

    @Autowired
    private SFService sfService;

    /**
     * 每天凌晨4点同步
     */
    @Scheduled(cron = "0 0 2 * * ? ")
    public void syncDingTalkFailedList() {
        try {
            sfService.syncU8Project();
        } catch (Exception e) {
            // 记录错误信息
            e.printStackTrace();
        }
    }
}